import config from '~/config';

const baseUrl = 'https://ddbs.1024tool.vip/';
const delay = config.isMock ? 500 : 0;
function request(url, method = 'GET', data = {}) {
  const header = {
    'content-type': 'application/json',
    // 有其他content-type需求加点逻辑判断处理即可
  };
  // 获取token，有就丢进请求头
  const tokenString = wx.getStorageSync('access_token');
  if (tokenString) {
    header.Authorization = `${tokenString}`;
  }
  return new Promise((resolve, reject) => {
    wx.request({
      url: baseUrl + url,
      method,
      data,
      dataType: 'json', // 微信官方文档中介绍会对数据进行一次JSON.parse
      header,
      success(res) {
        console.log(res)
        setTimeout(() => {
         
          if(res.data.code && res.data.code == 10103){
            // wx.removeStorageSync('access_token');
            // wx.switchTab({
            //   url: '/pages/my/index',
            // })
            reject(res.data);
          } else {
            console.log(res.data)
            resolve(res.data);
          }
          
        }, delay);
      },
      fail(err) {
        setTimeout(() => {
          console.log(err)
          // 断网、服务器挂了都会fail回调，直接reject即可
          
          reject(err);
        }, delay);
      },
    });
  });
}

// 导出请求和服务地址
export default request;
